:host {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    

    .uploadfilecontainer {
        background-repeat: no-repeat;
        background-size: 100px;
        background-position: center;
        height: 100%;
        width: 100%;
        margin: 0;
        border-radius: 2px;
        transition: all .13s ease-in-out;
    }
    
    .uploadfilecontainer:hover {
        cursor: pointer;
        background-color: rgba(255,255,255, 0.25) !important;
        opacity: 0.8;
    }
    
    .image-preview.ng-star-inserted {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        width: 100%;
        height: 100%;
        z-index: -99;
    }
}